@import '../css/loading.css';

.form-control, .form-select {
    font-family: var(--font-sans);
    color: var(--text-main);
}

/** Button */
.btn-default {
    min-width: 100px;
    height: 36px;
    border: none;
    right: 0;
    border-radius: 8px;
    font-weight: 600;
    background-color: #1a2332;
    color: #fff;
    padding: 0px 14px;
    font-size: 15px;
    text-decoration: none;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    transition: all 0.5s;
    letter-spacing: normal;
}

.btn-default:hover {
    background-color: #414545;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .05);
}

.btn-default-cancel {
    background-color: #f6f6f6;
    color: #737373;
}

.btn-action {
    background-color: #0171e3;
    color: #fff;
}

.btn-action:hover {
    background-color: #096ab6;
    color: #fff;
}

.btn-default-cancel:hover {
    background-color: #f1f1f1;
    color: #737373;
    box-shadow: none;
}

.btn-default-secondary {
    background-color: #f5f5f5;
    color: #1a2332;
}

.btn-default-secondary:hover {
    background-color: #eee;
    color: #1a2332;
    box-shadow: none;
}

.btn-default-outline {
    background-color: #fff;
    border: 1px solid #1a2332;
    color: #1a2332;
}

.btn-default-outline:hover {
    background-color: #fff;
    border: 1px solid #1a2332;
    color: #1a2332;
}

.btn-destruct {
    background-color: #ffebee;
    color: #f14345;
}

.btn-destruct:hover {
    background-color: #ffcdd2;
    color: #f14345;
    box-shadow: none;
}

.btn-box-form {
    background-color: #0071e3;
}

.btn-box-form:hover {
    background-color: #0364c6;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .05);
}

.btn-google {
    background-color: #fff;
    border: 1px solid #0d0628;
    color: #0d0628;
    transition: all 0.5s;
}

.btn-google:hover {
    background-color: #f4f4f4;
    color: #0d0628;
    box-shadow: none;
    text-decoration: none;
    transition: all 0.5s;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .05);
}

.btn-close-x {
    width: 30px;
    height: 30px;
    background-color: #f4f4f4;
    padding: 6px;
    border-radius: 25px;
    text-decoration: none !important;
    color: #333;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    transition: all 0.5s;
}

.btn-close-x:hover {
    background-color: #eee;
    transition: all 0.5s;
}

.btn-whatsapp {
    background-color: #31b362;
    color: #fff;
}

.btn-whatsapp:hover {
    background-color: #1abf56;
    color: #fff;
}

/* =========================================
FORMULÁRIO EXPERHUB REESTILIZADO
========================================= */

.form-signin {
    width: 100%;
    max-width: 420px;
    padding: 15px;
    margin: auto;
}
.centered-form-wrapper {
    background: white;
    padding: 0.5rem;
    border-radius: 1.5rem;
    max-width: 420px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    position: relative;
}

.box-form {
    border-radius: 14px;
    border: 1px solid #f4f4f4;
    background-color: #fff;
    padding: 20px;
}

.box-shadow {
    box-shadow: 0 0 #0000, 
                0 0 #0000, 
                0 0 #0000, 
                0 0 #0000, 
                0 1px 2px 0 #0000000d;
}

a > .service-card {
    color: #0d0628;
    text-decoration: none;
    transition: all 0.5s;
}

a > .service-card:hover {
    border: 1px solid #0d0628;
    background-color: #f4f4f4;
    transition: all 0.5s;
}

.service-card {
    border: 1px solid #eee;
    border-radius: 14px;
}

h3.title-form {
    font-size: 24px;
    font-weight: 600;
    color: var(--text-main);
}

.subtitle-form {
    font-size: 16px;
    font-weight: 500;
    color: var(--text-main);
    opacity: .50;
}

.form-separator {
    display: table;
    font-size: var(--font-size-sm);
    line-height: 20px;
    letter-spacing: 2px;
    margin: 12px auto;
    color: #999999;
    position: relative;
    text-align: center;
    width: 100%;
}

.form-separator:after, .form-separator:before {
    border-top: 1px solid #eee;
    content: '';
    display: table-cell;
    position: relative;
    top: .8em;
    width: 42%;
}

/* Inputs minimalistas */
.form-control, .form-select {
    font-size: 16px;
    background-color: #fbfbfb;
    border-radius: 8px;
    min-height: 36px;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .05);
    font-weight: 500;
    width: 100%;
    color: var(--text-main);
    transition: all 0.2s;
}

.form-control:focus, .form-select:focus {
    outline: none;
    background: #fff;
    border-color: #414545;
    box-shadow: none;
}

.form-control::placeholder, .form-select::placeholder{
    color: #ccc;
}

.form-label, .form-check-label {
    font-size: 14px;
    color: var(--text-main);
    opacity: .75;
    font-weight: 500;
}

.form-check-input:checked {
    background-color: var(--text-main);
    border-color: var(--text-main);
    color: #fff;
}

.form-check-input {
    font-size: 14px;
    margin-top: 4px;
}

.input-prefix {
    position: absolute;
    left: 12px;
    top: 50%;
    transform: translateY(-50%);
    color:var(--text-main);
    pointer-events: none;
    z-index: 1;
    opacity: .5;
}

.input-with-prefix {
    padding-left: 115px !important; 
}

button:disabled, input:disabled, .btn-default:disabled {
    background-color: rgb(204 204 204 / 57%) !important;
    color: #737373 !important;
    box-shadow: none !important;
    -webkit-box-shadow: none !important;
    border: none;
    cursor: not-allowed;
}

.form-control:readonly {
    background-color: transparent;
}

/* =========================================
MARCADOR
========================================= */

.track {
    list-style: none;
    flex-direction: row;
    display: flex;
    justify-content: center;
    padding: 0 10px;
    text-align: -webkit-center;
}

.divisor {
    background-color: #d8d8d8;
    top: 40px;
    position: relative;
    width: 50%;
    display: inline-flex;
    justify-self: center;
    height: 1px;
}

.numb-tracking {
    width: 20%;
    margin: 0 5px;
}

.numb-ball {
    display: inline-flex;
    height: 35px;
    width: 35px;
    background-color: #414545;
    color: #fff;
    border-radius: 50px;
    margin-left: 2px;
    margin-right: 2px;
    z-index: 999;
    position: relative;
    justify-content: center;
    align-items: center;
    border: 4px solid #f4f4f4;
}

.desative {
    background-color: #d9d9d9;
}

/* =========================================
ALERT
========================================= */
.alert {
    font-size: 14px;
    font-weight: 400;
    display: inline-block;
    justify-self: center;
    border: none;
    border-radius: 10px;
    z-index: 1000;
    position: relative;
    width: 100%;
    opacity: .9;
}

/* Cards */
.form-check-inline {
    padding-left: 1rem;
}

.card-page {
    display: block;
    margin: 0 10px;
    max-width: 340px;
    height: 300px;
    background-color: #fff;
    border-radius: 14px;
}

.card-cover {
    display: block;
    border-top-right-radius: 14px;
    border-top-left-radius: 14px;
    background-color: #ccc;
    height: 70px;
    width: 100%;
    padding: 0;
    margin: 0px 0px 10px 0;
}

.ny-cover-img {
    border-top-left-radius: 14px;
    border-top-right-radius: 14px;
    height: 70px;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.card-title {
    padding: 0px 10px 10px 30px;
    font-size: 14px;
    color: #212121;
    text-transform: capitalize;
    text-align: left;
}

.card-content {
    height: 80px;
    width: 240px;
    padding: 10px 20px;
    border-radius: 12px;
    display: block;
    background-color: #eee;
    font-size: 10px;
    margin: 0 10%;
}

.content-width {
    height: 40px;
    margin: 10px 10%;
}

.grid-cover {
    height: 160px;
    width: auto;
    margin-top: -20px;
    margin-left: -30px;
    margin-right: -30px;
    /*overflow: hidden;*/
}

input[type="file"] {
    display: none;
}

.label-photo {
    padding: 8px;
    width: 180px;
    background-color: #d9d9d9;
    color: #212121;
    text-align: center;
    margin-top: 10px;
    cursor: pointer;
    border-radius: 25px;
    font-size: 14px;
    font-weight: 500;
}

.ident-photo-border {
    height: 70px;
    width: 70px;
    border-radius: 50%;
    border: 2px solid #f4f6fc;
    display: flex;
    justify-content: center;
    padding: 2px;
}

.ident-photo {
    height: 100%;
    width: 100%;
    border-radius: 50%;
    text-align: center;
    background-size: cover;
    background-position: 100%;
    border: 1px solid #f5f5f5;
    object-fit: cover;
    align-self: center;
}

.label-box {
    font-size: 14px;
    color: #0d0628;
    font-weight: 600;
    opacity: 1;
}